Treasury
Get Safe threshold
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
chain*unknownResponse Body
200application/json
Current threshold
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/wallets/{id}/threshold' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "chain": "base", "safeAddress": "string", "threshold": 2, "currentThreshold": 1, "userOpHash": "string", "sponsored": true, "transactionHash": "string", "pendingUserOp": true, "status": "awaiting_signature", "collected": 0 }, "status": 200, "success": true}